#version 130
#extension GL_EXT_gpu_shader3 : enable
//#extension GL_EXT_gpu_shader4 : enable

//uniform sampler1D textureColorCurve;

attribute int lineIndexAttrib;

out vec4 color;
out vec3 position;
flat out int lineIndex;

void main(void)
{
    gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    position = vec3(gl_ModelViewMatrix * gl_Vertex);
    color = gl_Color;
    
    gl_Position = ftransform();
    lineIndex = lineIndexAttrib;
}
